> ## Documentation Index
> Fetch the complete documentation index at: https://help.aasaan.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Store Information

> Get Store Information



## OpenAPI

````yaml get /{storeId}
openapi: 3.0.0
info:
  title: AASAAN PARTNER REST API
  version: 1.0.0
  description: >-
    REST API endpoints are organized by resource type. You’ll need to use
    different endpoints depending on your app’s requirements.
servers:
  - url: https://partner-api.aasaan.shop/api/v1/partner-integrations/stores
    description: Development server
security: []
tags: []
paths:
  /{storeId}:
    get:
      tags:
        - Store
      summary: Get Store Information
      description: Get Store Information
      parameters:
        - name: storeId
          in: path
          required: true
          schema:
            type: string
            description: Store ID for this resource request
      responses:
        '200':
          description: Store Retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Store'
        '403':
          description: Invalid Api Key
        '422':
          description: Data error
        '500':
          description: Internal Server Error
components:
  schemas:
    Store:
      properties:
        id:
          type: string
          description: >-
            Unique identifier for the resource that was used to create this
            store
          example: store-id-1
        storeName:
          type: string
          description: Name
          example: lunchbox
        email:
          type: string
          description: Email associated with the store
          example: test@noreply.com
        currency:
          type: string
          description: Base currency associated with this store
          example: USD
        storeUrl:
          type: string
          description: The full store url that of the store that was created
          example: USD
        metaData:
          type: object
          description: >-
            any additional metadata that was stored as a part of this store
            creation
        address:
          type: object
          description: Address of the store
          properties:
            aptNo:
              type: string
              description: apt or door number of the store address
              example: 123A 345
            line1:
              type: string
              description: First line of the address
              example: Central Park East
            line2:
              type: string
              description: Second line of the address
              example: Central Park East
            city:
              type: string
              description: Name of the city
              example: New York
            state:
              type: string
              description: Name of the state
              example: New York
            zipcode:
              type: string
              description: ZipCode associated with the address
              example: 10025
            country:
              type: string
              description: Name of country of the associated address
              example: USA

````